# icon_forest

- A collection of 160k+ icons from 230+ icon libraries.
- It makes icons from all pub.dev packages searchable in one place.
- You can search, select and apply the icons to your Flutter projects.

<img alt="sample icons screenshot" src="https://raw.githubusercontent.com/iconforest/icon_forest/main/readme_images/icons_snapshot.png" />

It has two components:
1. a free app that searches icons - the **IconForest** app
2. a collection of icon libraries - the **icon_forest** package

---

# IconForest app <img alt="apk" src="https://raw.githubusercontent.com/iconforest/icon_forest/main/readme_images/logo.png"/>

<img alt="search icons, mark favorites, output icon code" src="https://raw.githubusercontent.com/iconforest/icon_forest/main/readme_images/demo.gif" />

Icons can be easily applied to your projects with pubspec.yaml.

![icons code viewer pasteboard example](https://raw.githubusercontent.com/iconforest/icon_forest/main/readme_images/codeviewer_snapshot.png)

<table>
  <tbody>
    <tr>
      <td align="center">
        <a
          href="https://play.google.com/store/apps/details?id=com.flutterplay.iconforest"
          ><img
            alt="Google Play"
            src="https://raw.githubusercontent.com/iconforest/icon_forest/main/readme_images/download/googleplay.png"
        /></a>
      </td>
      <td align="center">
        <a href="https://iconforest.flutterplay.com/download/android.php"
          ><img
            alt="apk"
            src="https://raw.githubusercontent.com/iconforest/icon_forest/main/readme_images/download/apk.png"
        /></a>
      </td>
      <td align="center">
        <a href="https://apps.apple.com/app/iconforest/id1626186092"
          ><img
            alt="Appstore"
            src="https://raw.githubusercontent.com/iconforest/icon_forest/main/readme_images/download/appstore.png"
        /></a>
      </td>
    </tr>
    <tr>
      <td align="center">
        <img
          alt="Google Play"
          src="https://raw.githubusercontent.com/iconforest/icon_forest/main/readme_images/qr/qr_googleplay.png"
          width="127"
          height="127"
        />
      </td>
      <td align="center">
        <img
          alt="Appstore"
          src="https://raw.githubusercontent.com/iconforest/icon_forest/main/readme_images/qr/qr_apk.png"
          width="127"
          height="127"
        />
      </td>
      <td align="center">
        <img
          alt="Appstore"
          src="https://raw.githubusercontent.com/iconforest/icon_forest/main/readme_images/qr/qr_appstore.png"
          width="128"
          height="128"
        />
      </td>
    </tr>
  </tbody>
</table>

---

# Icon libraries

It contains 41 icon libraries (38k+ icons). They come from:
- converting existing non-null-safety or invalid icon packages
- open-source icon libraries which are new to pub.dev


You can search the following icon libraries with IconForest app:

||||||
| :- | :- |:- | :- | :- |
 |Academicons (149 icons)|Adinkra Symbols (99 icons)|Adwaita Icon (956 icons)|Akar Icons (381 icons)|Ali Icons (71 icons)|
 |AmazingNeoIcons (112 icons)|Ant Design (1829 icons)|Arcticons (4237 icons)|Bootstrap Icons (1682 icons)|Boxicons (1525 icons)|
 |Mbi linecons (48 icons)|BoxIcons Logo (153 icons)|bpmn (106 icons)|Brand Logos (924 icons)|Brandico (45 icons)|
 |Bytesize (101 icons)|Carbon design (1584 icons)|Charm Icons (250 icons)|Clarity Design (1121 icons)|codicon (423 icons)|
 |CoolIcons (412 icons)|CoreUI Brands (831 icons)|CoreUI Free (562 icons)|Crypto Icons (color) (30 icons)|Crypto Icons (font) (282 icons)|
 |Crypto Icons (font) (477 icons)|css.gg (704 icons)|Cupertino Icons  (1322 icons)|Dashicons (347 icons)|Devicon (369 icons)|
 |Elegant (100 icons)|Element Plus (283 icons)|Elusive Icons (304 icons)|Emoji (20 icons)|Emoji One (2159 icons)|
 |EmojioneMonotone (1713 icons)|EmojioneV1 (1529 icons)|Emojis (46 icons)|Entypo (411 icons)|Entypo+ Social (76 icons)|
 |EOS Icons (251 icons)|Eva Icons (490 icons)|Evil Icons (70 icons)|Feather Icon (286 icons)|File Icons (930 icons)|
 |Flag (192 icons)|Flat Icons (Arrows Set) (159 icons)|Flat Icons (Medium) (380 icons)|Flat Icons (Social) (40 icons)|Flat UI (98 icons)|
 |FluentUI system icons (5715 icons)|Font Awesome 4 (786 icons)|Font Awesome 5 (brand) (924 icons)|Font Awesome 5 (regular) (162 icons)|Font Awesome 5 (solid) (138 icons)|
 |Font-GIS (344 icons)|FontAudio (155 icons)|Fontelico (34 icons)|Fontisto (618 icons)|Foundation Icon Fonts 3 (283 icons)|
 |Framework7 Icons (1228 icons)|Frino (384 icons)|Fxemoji (1034 icons)|Gala Icons (51 icons)|Geira Icons (197 icons)|
 |GeoGlyphs (30 icons)|Gridicons (201 icons)|Grommet Icons (615 icons)|Health Icons (1754 icons)|Helium (112 icons)|
 |Hero (Outline) (230 icons)|Hero (Solid) (230 icons)|Humanitarian icons (307 icons)|Icofont (2095 icons)|IcoMoon (491 icons)|
 |Icon Park (2437 icons)|IconaMoon (304 icons)|Iconic (223 icons)|Iconly (Bold) (100 icons)|Iconly (Broken) (100 icons)|
 |Iconly (Light) (100 icons)|iconoir (1091 icons)|IconPark Outline (2437 icons)|icons8 (234 icons)|Icons8 Windows 8 Icons (234 icons)|
 |iconsax (2648 icons)|Innowatio font icons (105 icons)|IonIcons (3681 icons)|Jam Icons (940 icons)|Ligature Symbols (348 icons)|
 |Line Awesome Icons (1544 icons)|Linear Icons Free (175 icons)|Logos (1583 icons)|Lucide (624 icons)|Majesticons (760 icons)|
 |Maki (595 icons)|Map Icons (16 icons)|Material Design Icon (Community) (6595 icons)|Material Design Iconic Font (885 icons)|Mbi handmade (96 icons)|
 |Mbi file (50 icons)|Material Line Icons (235 icons)|Medical Icons (144 icons)|Meteocons (47 icons)|MFG Labs (153 icons)|
 |Modern Pictograms (91 icons)|Mono Icons (180 icons)|Navigation Maps (16 icons)|Nimbus (134 icons)|Noto Emoji (3798 icons)|
 |Noto Emoji (v1) (2319 icons)|OctIcons (692 icons)|OOUI (322 icons)|Open Iconic (223 icons)|OpenMoji (4045 icons)|
 |Outline Material Icons (1010 icons)|Pepicons (316 icons)|Phosphor (6312 icons)|Pixelarticons (460 icons)|PrestaShop (479 icons)|
 |primeicons (238 icons)|Quill Icons (140 icons)|Radix Icons (331 icons)|Raphael (266 icons)|Remix (2271 icons)|
 |Simple Icons (2379 icons)|Simple Line Icon (194 icons)|SmartIcons Glyph (803 icons)|Subway Icon Set (308 icons)|System UIcons (420 icons)|
 |Tabler icons (1298 icons)|Teenyicons (1195 icons)|Ternav Icon (Bold) (184 icons)|Ternav Icon (Light outline) (184 icons)|Ternav Icon (Light) (184 icons)|
 |Themify Icons (352 icons)|TopCoat Icons (89 icons)|Twemoji (4406 icons)|Twicon (100 icons)|Typicons (336 icons)|
 |uiw icons (214 icons)|Unicons (Line) (1206 icons)|Unicons (Solid) (189 icons)|Unicons (Thinline) (214 icons)|Unicons Monochrome (296 icons)|
 |Vaadin Icons (636 icons)|Vesper Icons (172 icons)|VSCode Icons (1110 icons)|Mbi emoji (50 icons)|Weather Icons (601 icons)|
 |Weather Icons (590 icons)|Web/Symbol (1228 icons)|WebHostingHub Glyphs (2125 icons)|Yaru (415 icons)|Zocial (100 icons)|
 |Zondicons (301 icons)|basf (80 icons)|Mbi combi (129 icons)|||


---

## Our goal

Make beautiful designs faster for Flutter developers. 
To achieve this, we:
- collect icon packages from pub.dev and make them searchable in one place
- test all icon packages, correct sample codes, and remove invalid icons
- make duplicated icon libraries invisible by default
- explore new beautiful icon libraries
- update the icon libraries to provide you with the richest and latest icons collections

## Contact us
<a href="mailto:iconforest@flutterplay.com">iconforest@flutterplay.com</a>

